/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetExportInput } from "../types/GetExportInput";
import { GetExportOutput } from "../types/GetExportOutput";
import { APIGatewayResolvedConfiguration } from "../APIGatewayConfiguration";
export * from "../types/GetExportInput";
export * from "../types/GetExportOutput";
export * from "../types/GetExportExceptionsUnion";
export declare class GetExportCommand implements __aws_sdk_types.Command<InputTypesUnion, GetExportInput, OutputTypesUnion, GetExportOutput, APIGatewayResolvedConfiguration, _stream.Readable> {
    readonly input: GetExportInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetExportInput, GetExportOutput, _stream.Readable>;
    constructor(input: GetExportInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: APIGatewayResolvedConfiguration): __aws_sdk_types.Handler<GetExportInput, GetExportOutput>;
}
