/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetResourceInput } from "../types/GetResourceInput";
import { GetResourceOutput } from "../types/GetResourceOutput";
import { APIGatewayResolvedConfiguration } from "../APIGatewayConfiguration";
export * from "../types/GetResourceInput";
export * from "../types/GetResourceOutput";
export * from "../types/GetResourceExceptionsUnion";
export declare class GetResourceCommand implements __aws_sdk_types.Command<InputTypesUnion, GetResourceInput, OutputTypesUnion, GetResourceOutput, APIGatewayResolvedConfiguration, _stream.Readable> {
    readonly input: GetResourceInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetResourceInput, GetResourceOutput, _stream.Readable>;
    constructor(input: GetResourceInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: APIGatewayResolvedConfiguration): __aws_sdk_types.Handler<GetResourceInput, GetResourceOutput>;
}
